#
# Conditional build:
%bcond_without	python2	# build CPython 2.x module
%bcond_without	python3	# build CPython 3.x module
#
%define		module	charade
Summary:	Charade - The Universal character encoding detector for Python
Summary(pl.UTF-8):	Charade - uniwersalny moduł Pythona wykrywający kodowanie znaków
Name:		python-%{module}
Version:	1.0.3
Release:	6
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/c/charade/%{module}-%{version}.tar.gz
# Source0-md5:	79ac701a147705c09bdce31b79dfa12e
URL:		https://github.com/sigmavirus24/charade
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Charade: The Universal character encoding detector. This is a port of
Mark Pilgrim's excellent chardet, modified to share codebase for both
Python 2.x and 3.x.

This package contains module built for Python 2.x.

%description -l pl.UTF-8
Moduł Pythona Charade służy do automatycznego wykrywania kodowania
znaków. Jest to port znakomitego modułu chardet Marka Pilgrima,
zmodyfikowany pod kątem współdzielenia kodu między wersjami Pythona
2.x oraz 3.x.

Ten pakiet zawiera moduł zbudowany dla Pythona 2.x.

%package -n python3-charade
Summary:	Charade - The Universal character encoding detector
Summary(pl.UTF-8):	Charade - uniwersalny moduł Pythona wykrywający kodowanie znaków
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-charade
Charade: The Universal character encoding detector. This is a port of
Mark Pilgrim's excellent chardet, modified to share codebase for both
Python 2.x and 3.x.

This package contains module built for Python 3.x.

%description -n python3-charade -l pl.UTF-8
Moduł Pythona Charade służy do automatycznego wykrywania kodowania
znaków. Jest to port znakomitego modułu chardet Marka Pilgrima,
zmodyfikowany pod kątem współdzielenia kodu między wersjami Pythona
2.x oraz 3.x.

Ten pakiet zawiera moduł zbudowany dla Pythona 3.x.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/charade{,3}
%endif

%if %{with python2}
%py_install
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%attr(755,root,root) %{_bindir}/charade
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-charade
%defattr(644,root,root,755)
%doc HISTORY.rst README.rst
%attr(755,root,root) %{_bindir}/charade3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-charade.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 38bcf29
- python 3.6
- release 6 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> af33fe6
- use rpm python macros
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cbae1b2
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 903155b
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1ae0c4f
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fdab367
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8687d40
- python 3.4
- release 2 (by relup.sh)

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> c6a1383
- pl
- package charade binary

* Wed Jul 09 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> ff4f2a8
- license name cleanup

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 5632ceb
- typo

* Wed Jun 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 86568e4
- new, version 1.0.3

